import axios from 'axios'
import md5 from "js-md5"
import qs from 'qs'
import store from '@/store'

let BASE_API = "http://175.31.197.83:8084"
const zlog = console.log.bind(console)

// ztest

// 创建 axios 实例
const service = axios.create({
  baseURL: BASE_API,
  timeout: 20000,
  paramsSerializer: params => qs.stringify(params, { arrayFormat: 'repeat' })
})

// request 拦截器
service.interceptors.request.use(
  request => {
    // zlog('--->request: request:', request)
    store.commit('showLoading')
    return request
  },
  error => {
    store.commit('hideLoading')
    Promise.reject(error)
  }
)

// response 拦截器
service.interceptors.response.use(
  response => {
    store.commit('hideLoading')
    return response
  },
  error => {
    store.commit('hideLoading')
    return Promise.reject(error)
  }
)

export default service